Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 2392)
@@ -5,4 +5,10 @@
    !!                          assimilation
    !!======================================================================
+   !! History :       ! 2007-03  (M. Martin)  Met Office version
+   !!                 ! 2007-04  (A. Weaver)  calc_date original code
+   !!                 ! 2007-04  (A. Weaver)  Merge with OPAVAR/NEMOVAR
+   !!   NEMO     3.3  ! 2010-05  (D. Lea)  Update to work with NEMO v3.2
+   !!             -   ! 2010-05  (D. Lea)  add calc_month_len routine based on day_init 
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
@@ -15,99 +21,31 @@
    !!   ssh_asm_inc  : Apply the SSH increment
    !!----------------------------------------------------------------------
-   !! * Modules used   
-   USE par_kind, ONLY : &       ! Precision variables
-      & wp
-   USE in_out_manager, ONLY : & ! I/O manager 
-      & lwp,      &
-      & numnam,   &
-      & numout,   &
-      & ctl_warn, &
-      & ctl_stop, &
-      & nit000,   &
-      & nstop,    &
-      & ln_rstart
-   USE par_oce, ONLY : & ! Ocean space and time domain variables
-      & jpi,  & 
-      & jpj,  &
-      & jpk,  &
-      & jpkm1
-   USE dom_oce, ONLY : & ! Ocean space and time domain
-      & rdt,    &
-      & n_cla,  &
-      & neuler, &
-      & ln_zps, &
-      & tmask,  &
-      & umask,  &
-      & vmask
+   USE in_out_manager   ! I/O manager
+   USE par_oce          ! Ocean space and time domain variables
+   USE dom_oce          ! Ocean space and time domain
+   USE oce              ! Dynamics and active tracers defined in memory
+   USE divcur           ! Horizontal divergence and relative vorticity
+   USE eosbn2           ! Equation of state - in situ and potential density
+   USE zpshde           ! Partial step : Horizontal Derivative
+   USE iom              ! Library to read input files
+   USE asmpar           ! Parameters for the assmilation interface
 #if defined key_c1d
-   USE c1d, ONLY : &    ! 1D initialization
-      & lk_c1d
+   USE c1d, ONLY :   lk_c1d    ! 1D initialization
 #endif
-   USE oce, ONLY : &      ! Dynamics and active tracers defined in memory
-      & ub, un, ua,    &
-      & vb, vn, va,    &
-      & tsb, tsn, tsa, &
-      & sshb, sshn,    &
-      & rhd, rhop,     &
-      & rotb, rotn,    &
-      & hdivb, hdivn,  &
-      & gtsu, gru,     &
-      & gtsv, grv 
-   USE divcur, ONLY : &   ! Horizontal divergence and relative vorticity
-      & div_cur
-   USE cla_div, ONLY : &  ! Specific update of the horizontal divergence
-      & div_cla           ! (specific to ORCA_R2)
-   USE eosbn2, ONLY : &   ! Equation of state - in situ and potential density
-      & eos
-   USE zpshde, ONLY : &   ! Partial step : Horizontal Derivative
-      & zps_hde
-!   USE phycst, ONLY : &   ! Calendar parameters
-!      & rjjss  
-   USE iom                ! Library to read input files
-   USE asmpar             ! Parameters for the assmilation interface
-   USE dom_oce, ONLY : &
-      & ndastp
-!   USE daymod, ONLY : &
-!      & nmonth_len         ! length of month in days
-!      & nbiss, &
-!      & nobis, &
- 
 
    IMPLICIT NONE
-
-   !! * Routine accessibility
    PRIVATE
-   PUBLIC asm_inc_init, & !: Initialize the increment arrays and IAU weights
-      &   calc_date,    & !: Compute the calendar date YYYYMMDD on a given step
-      &   tra_asm_inc,  & !: Apply the tracer (T and S) increments
-      &   dyn_asm_inc,  & !: Apply the dynamic (u and v) increments
-      &   ssh_asm_inc     !: Apply the SSH increment
-
-   !! * Private Module variables
-   REAL(wp), PUBLIC, DIMENSION(:,:,:), ALLOCATABLE :: &
-      & t_bkg,    &       !: Background temperature 
-      & s_bkg,    &       !: Background salinity
-      & u_bkg,    &       !: Background u-component velocity
-      & v_bkg,    &       !: Background v-component velocity
-      & t_bkginc, &       !: Increment to the background temperature
-      & s_bkginc, &       !: Increment to the background salinity
-      & u_bkginc, &       !: Increment to the u-component velocity 
-      & v_bkginc          !: Increment to the v-component velocity 
-         
-   REAL(wp), PRIVATE, DIMENSION(:,:), ALLOCATABLE :: &
-      & ssh_bkg,   &      !: Background sea surface height
-      & ssh_bkginc        !: Increment to the background sea surface height
-
-   REAL(wp), PUBLIC, DIMENSION(:), ALLOCATABLE :: &
-      & wgtiau            !: IAU weights for each time step
-
-   !! * Shared Module variables
-   LOGICAL, PUBLIC, PARAMETER :: &
+   
+   PUBLIC   asm_inc_init   !: Initialize the increment arrays and IAU weights
+   PUBLIC   calc_date      !: Compute the calendar date YYYYMMDD on a given step
+   PUBLIC   tra_asm_inc    !: Apply the tracer (T and S) increments
+   PUBLIC   dyn_asm_inc    !: Apply the dynamic (u and v) increments
+   PUBLIC   ssh_asm_inc    !: Apply the SSH increment
+
 #if defined key_asminc
-      & lk_asminc = .TRUE.   !: Logical switch for assimilation increment interface
+    LOGICAL, PUBLIC, PARAMETER :: lk_asminc = .TRUE.   !: Logical switch for assimilation increment interface
 #else
-      & lk_asminc = .FALSE.  !: No assimilation increments
+    LOGICAL, PUBLIC, PARAMETER :: lk_asminc = .FALSE.  !: No assimilation increments
 #endif
-
    LOGICAL, PUBLIC :: ln_bkgwri = .FALSE. !: No output of the background state fields
    LOGICAL, PUBLIC :: ln_trjwri = .FALSE. !: No output of the state trajectory fields
@@ -119,29 +57,29 @@
    LOGICAL, PUBLIC :: ln_salfix = .FALSE. !: Apply minimum salinity check
 
-   REAL, PUBLIC :: salfixmin   !: Ensure that the salinity is larger than 
-   !                           !: this  value if (ln_salfix)
+   REAL(wp), PUBLIC, DIMENSION(:,:,:), ALLOCATABLE ::   t_bkg   , s_bkg      !: Background temperature and salinity
+   REAL(wp), PUBLIC, DIMENSION(:,:,:), ALLOCATABLE ::   u_bkg   , v_bkg      !: Background u- & v- velocity components
+   REAL(wp), PUBLIC, DIMENSION(:,:,:), ALLOCATABLE ::   t_bkginc, s_bkginc   !: Increment to the background T & S
+   REAL(wp), PUBLIC, DIMENSION(:,:,:), ALLOCATABLE ::   u_bkginc, v_bkginc   !: Increment to the u- & v-components 
+   REAL(wp), PUBLIC, DIMENSION(:)    , ALLOCATABLE ::   wgtiau               !: IAU weights for each time step
 #if defined key_asminc
-   REAL(wp), PUBLIC, DIMENSION(:,:), ALLOCATABLE :: &
-      & ssh_iau           !: IAU-weighted sea surface height increment
+   REAL(wp), PUBLIC, DIMENSION(:,:), ALLOCATABLE ::   ssh_iau           !: IAU-weighted sea surface height increment
 #endif
-
-   INTEGER, PUBLIC :: nitbkg     !: Time step of the background state used in the Jb term
-                                 !: (relative to the cycle interval [0,nitend-nit000-1])
-   INTEGER, PUBLIC :: nitdin     !: Time step of the background state for direct initialization
-                                 !: (relative to the cycle interval [0,nitend-nit000-1])
-   INTEGER, PUBLIC :: nitiaustr  !: Time step of the start of the IAU interval 
-                                 !: (relative to the cycle interval [0,nitend-nit000-1])
-   INTEGER, PUBLIC :: nitiaufin  !: Time step of the end of the IAU interval 
-                                 !: (relative to the cycle interval [0,nitend-nit000-1])
-   INTEGER, PUBLIC :: niaufn     !: Type of IAU weighing function
-                                 !:   0 = Constant weighting
-                                 !:   1 = Linear hat-like, centred in middle of IAU interval 
+   !                                !!! time steps relative to the cycle interval [0,nitend-nit000-1]
+   INTEGER , PUBLIC ::   nitbkg      !: Time step of the background state used in the Jb term
+   INTEGER , PUBLIC ::   nitdin      !: Time step of the background state for direct initialization
+   INTEGER , PUBLIC ::   nitiaustr   !: Time step of the start of the IAU interval 
+   INTEGER , PUBLIC ::   nitiaufin   !: Time step of the end of the IAU interval
+   ! 
+   INTEGER , PUBLIC ::   niaufn      !: Type of IAU weighing function: = 0   Constant weighting
+   !                                 !: = 1   Linear hat-like, centred in middle of IAU interval 
+   REAL(wp), PUBLIC ::   salfixmin   !: Ensure that the salinity is larger than this  value if (ln_salfix)
+
+   REAL(wp), DIMENSION(:,:), ALLOCATABLE ::   ssh_bkg, ssh_bkginc   ! Background sea surface height and its increment
 
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -155,22 +93,6 @@
       !!
       !! ** Action  : 
-      !!
-      !! History :
-      !!        !  07-03  (M. Martin) Met Office version
-      !!        !  07-04  (A. Weaver) Merge with OPAVAR/NEMOVAR
-      !!----------------------------------------------------------------------
-
-      IMPLICIT NONE
-
-      !! * Modules used
-      NAMELIST/nam_asminc/ ln_bkgwri, ln_trjwri, &
-         &                 ln_trainc, ln_dyninc, ln_sshinc, &
-         &                 ln_asmdin, ln_asmiau, &
-         &                 nitbkg, nitdin, nitiaustr, nitiaufin, niaufn, &
-         &                 nittrjfrq, ln_salfix, salfixmin
-
-      !! * Local declarations
+      !!----------------------------------------------------------------------
       INTEGER :: jt
-
       INTEGER :: imid
       INTEGER :: inum
@@ -190,4 +112,11 @@
       REAL(wp) :: zdate_bkg    ! Date in background state file for DI
       REAL(wp) :: zdate_inc    ! Time axis in increments file
+      !!
+      NAMELIST/nam_asminc/ ln_bkgwri, ln_trjwri,                           &
+         &                 ln_trainc, ln_dyninc, ln_sshinc,                &
+         &                 ln_asmdin, ln_asmiau,                           &
+         &                 nitbkg, nitdin, nitiaustr, nitiaufin, niaufn,   &
+         &                 nittrjfrq, ln_salfix, salfixmin
+      !!----------------------------------------------------------------------
 
       !-----------------------------------------------------------------------
@@ -220,35 +149,20 @@
          WRITE(numout,*) 'asm_inc_init : Assimilation increment initialization :'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '          Namelist namasm : set assimilation increment parameters'
-         WRITE(numout,*) '             Logical switch for writing out background state         ', &
-            &            ' ln_bkgwri = ', ln_bkgwri
-         WRITE(numout,*) '             Logical switch for writing out state trajectory         ', &
-            &            ' ln_trjwri = ', ln_trjwri
-         WRITE(numout,*) '             Logical switch for applying tracer increments           ', &
-            &            ' ln_trainc = ', ln_trainc
-         WRITE(numout,*) '             Logical switch for applying velocity increments         ', &
-            &            ' ln_dyninc = ', ln_dyninc
-         WRITE(numout,*) '             Logical switch for applying SSH increments              ', &
-            &            ' ln_sshinc = ', ln_sshinc
-         WRITE(numout,*) '             Logical switch for Direct Initialization (DI)           ', &
-            &            ' ln_asmdin = ', ln_asmdin
-         WRITE(numout,*) '             Logical switch for Incremental Analysis Updating (IAU)  ', &
-            &            ' ln_asmiau = ', ln_asmiau
-         WRITE(numout,*) '             Timestep of background in [0,nitend-nit000-1]           ', &
-            &            '    nitbkg = ', nitbkg
-         WRITE(numout,*) '             Timestep of background for DI in [0,nitend-nit000-1]    ', &
-            &            '    nitdin = ', nitdin
-         WRITE(numout,*) '             Timestep of start of IAU interval in [0,nitend-nit000-1]', &
-            &            ' nitiaustr = ', nitiaustr
-         WRITE(numout,*) '             Timestep of end of IAU interval in [0,nitend-nit000-1]  ', &
-            &            ' nitiaufin = ', nitiaufin
-         WRITE(numout,*) '             Type of IAU weighting function                          ', &
-            &            '    niaufn = ', niaufn
-         WRITE(numout,*) '             Frequency of trajectory output for 4D-VAR               ', &
-            &            ' nittrjfrq = ', nittrjfrq
-         WRITE(numout,*) '             Logical switch for ensuring that the sa > salfixmin     ', &
-            &            ' ln_salfix = ', ln_salfix
-         WRITE(numout,*) '             Minimum salinity after applying the increments          ', &
-            &            ' salfixmin = ', salfixmin
+         WRITE(numout,*) '   Namelist namasm : set assimilation increment parameters'
+         WRITE(numout,*) '      Logical switch for writing out background state          ln_bkgwri = ', ln_bkgwri
+         WRITE(numout,*) '      Logical switch for writing out state trajectory          ln_trjwri = ', ln_trjwri
+         WRITE(numout,*) '      Logical switch for applying tracer increments            ln_trainc = ', ln_trainc
+         WRITE(numout,*) '      Logical switch for applying velocity increments          ln_dyninc = ', ln_dyninc
+         WRITE(numout,*) '      Logical switch for applying SSH increments               ln_sshinc = ', ln_sshinc
+         WRITE(numout,*) '      Logical switch for Direct Initialization (DI)            ln_asmdin = ', ln_asmdin
+         WRITE(numout,*) '      Logical switch for Incremental Analysis Updating (IAU)   ln_asmiau = ', ln_asmiau
+         WRITE(numout,*) '      Timestep of background in [0,nitend-nit000-1]            nitbkg    = ', nitbkg
+         WRITE(numout,*) '      Timestep of background for DI in [0,nitend-nit000-1]     nitdin    = ', nitdin
+         WRITE(numout,*) '      Timestep of start of IAU interval in [0,nitend-nit000-1] nitiaustr = ', nitiaustr
+         WRITE(numout,*) '      Timestep of end of IAU interval in [0,nitend-nit000-1]   nitiaufin = ', nitiaufin
+         WRITE(numout,*) '      Type of IAU weighting function                           niaufn    = ', niaufn
+         WRITE(numout,*) '      Frequency of trajectory output for 4D-VAR                nittrjfrq = ', nittrjfrq
+         WRITE(numout,*) '      Logical switch for ensuring that the sa > salfixmin      ln_salfix = ', ln_salfix
+         WRITE(numout,*) '      Minimum salinity after applying the increments           salfixmin = ', salfixmin
       ENDIF
 
@@ -565,6 +479,7 @@
 
       ENDIF
-
+      !
    END SUBROUTINE asm_inc_init
+
 
    SUBROUTINE calc_date( kit000, kt, kdate0, kdate )
@@ -577,21 +492,10 @@
       !!
       !! ** Action  : 
-      !!
-      !! History :
-      !!        !  07-04  (A. Weaver) 
-      !!        !  10-05  (D. Lea)        Update to work with NEMO vn3.2
-      !!----------------------------------------------------------------------
-
-      IMPLICIT NONE
-
-      !! * Arguments
-
+      !!----------------------------------------------------------------------
       INTEGER, INTENT(IN) :: kit000  ! Initial time step
       INTEGER, INTENT(IN) :: kt      ! Current time step referenced to kit000
       INTEGER, INTENT(IN) :: kdate0  ! Initial date
       INTEGER, INTENT(OUT) :: kdate  ! Current date reference to kdate0
-
-      !! * Local declarations
-
+      !
       INTEGER :: iyea0    ! Initial year
       INTEGER :: imon0    ! Initial month
@@ -648,8 +552,9 @@
          idaycnt = idaycnt + 1
       END DO
-
+      !
       kdate = iyea * 10000 + imon * 100 + iday
-
+      !
    END SUBROUTINE
+
 
    SUBROUTINE calc_month_len( iyear, imonth_len )
@@ -660,14 +565,9 @@
       !!
       !! ** Method  : 
-      !!
-      !! ** Action  : 
-      !!
-      !! History :
-      !!        !  10-05  (D. Lea)   New routine based on day_init 
-      !!----------------------------------------------------------------------
-
+      !!----------------------------------------------------------------------
       INTEGER, DIMENSION(12) ::   imonth_len    !: length in days of the months of the current year
       INTEGER :: iyear         !: year
-
+      !!----------------------------------------------------------------------
+      !
       ! length of the month of the current year (from nleapy, read in namelist)
       IF ( nleapy < 2 ) THEN 
@@ -681,6 +581,7 @@
          imonth_len(:) = nleapy   ! all months with nleapy days per year
       ENDIF
-
+      !
    END SUBROUTINE
+
 
    SUBROUTINE tra_asm_inc( kt )
@@ -693,19 +594,11 @@
       !!
       !! ** Action  : 
-      !!
-      !! History :
-      !!        !  07-03  (M. Martin) Met Office version
-      !!        !  07-04  (A. Weaver) Merge with OPAVAR/NEMOVAR
-      !!----------------------------------------------------------------------
-
-      IMPLICIT NONE
-
-      !! * Arguments
+      !!----------------------------------------------------------------------
       INTEGER, INTENT(IN) :: kt               ! Current time step
-
-      !! * Local declarations
+      !
       INTEGER :: ji,jj,jk
       INTEGER :: it
       REAL(wp) :: zincwgt  ! IAU weight for current time step
+      !!----------------------------------------------------------------------
 
       IF ( ln_asmiau ) THEN
@@ -793,8 +686,9 @@
             DEALLOCATE( s_bkg    )
          ENDIF
-         
-      ENDIF
-
+         !  
+      ENDIF
+      !
    END SUBROUTINE tra_asm_inc
+
 
    SUBROUTINE dyn_asm_inc( kt )
@@ -807,19 +701,11 @@
       !!
       !! ** Action  : 
-      !!
-      !! History :
-      !!        !  07-03  (M. Martin) Met Office version
-      !!        !  07-04  (A. Weaver) Merge with OPAVAR/NEMOVAR
-      !!----------------------------------------------------------------------
-
-      IMPLICIT NONE
-
-      !! * Arguments
+      !!----------------------------------------------------------------------
       INTEGER, INTENT(IN) :: kt   ! Current time step
-
-      !! * Local declarations
+      !
       INTEGER :: jk
       INTEGER :: it
       REAL(wp) :: zincwgt  ! IAU weight for current time step
+      !!----------------------------------------------------------------------
 
       IF ( ln_asmiau ) THEN
@@ -871,6 +757,5 @@
             vb(:,:,:) = vn(:,:,:)
  
-            CALL div_cur( kt )                  ! Compute divergence and curl for now fields
-            IF( n_cla == 1 ) CALL div_cla( kt ) ! Cross Land Advection (Update Hor. divergence)
+            CALL div_cur( kt )            ! Compute divergence and curl for now fields
 
             rotb (:,:,:) = rotn (:,:,:)   ! Update before fields
@@ -881,10 +766,10 @@
             DEALLOCATE( u_bkginc )
             DEALLOCATE( v_bkginc )
-
-         ENDIF
-
-      ENDIF
-
+         ENDIF
+         !
+      ENDIF
+      !
    END SUBROUTINE dyn_asm_inc
+
 
    SUBROUTINE ssh_asm_inc( kt )
@@ -897,18 +782,10 @@
       !!
       !! ** Action  : 
-      !!
-      !! History :
-      !!        !  07-03  (M. Martin) Met Office version
-      !!        !  07-04  (A. Weaver) Merge with OPAVAR/NEMOVAR
-      !!----------------------------------------------------------------------
-
-      IMPLICIT NONE
-
-      !! * Arguments
+      !!----------------------------------------------------------------------
       INTEGER, INTENT(IN) :: kt   ! Current time step
-
-      !! * Local declarations
+      !
       INTEGER :: it
       REAL(wp) :: zincwgt  ! IAU weight for current time step
+      !!----------------------------------------------------------------------
 
       IF ( ln_asmiau ) THEN
@@ -960,8 +837,9 @@
 
          ENDIF
-
-      ENDIF
-
+         !
+      ENDIF
+      !
    END SUBROUTINE ssh_asm_inc
 
+   !!======================================================================
 END MODULE asminc
Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/dom_oce.F90	(revision 2392)
@@ -55,7 +55,4 @@
    !                                         !!* Namelist namcla : cross land advection
    INTEGER, PUBLIC ::   nn_cla = 0            !: =1 cross land advection for exchanges through some straits (ORCA2)
-
-   !                                          ! old non-DOCTOR names still used in the model
-   INTEGER, PUBLIC ::   n_cla = 0             !: =1 cross land advection for exchanges through some straits (ORCA2)
 
    !!----------------------------------------------------------------------
Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 2392)
@@ -243,9 +243,4 @@
       ENDIF
 
-      n_cla = nn_cla                ! conversion DOCTOR names into model names (this should disappear soon)
-
-      IF( lk_mpp_rep .AND. n_cla /= 0 )   CALL ctl_stop( ' Reproductibility tests (nbit_cmp=1) require n_cla = 0' )
-      !
-
 #if defined key_netcdf4
       !                             ! NetCDF 4 case   ("key_netcdf4" defined)
Index: branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90
===================================================================
--- branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 2391)
+++ branches/nemo_v3_3_beta/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 2392)
@@ -4,43 +4,37 @@
    !! Ocean initialization : domain initialization
    !!==============================================================================
-   !! History :       !  88-03  (G. Madec)
-   !!                 !  91-11  (G. Madec)
-   !!                 !  92-06  (M. Imbard)
-   !!                 !  96-01  (G. Madec)  terrain following coordinates
-   !!                 !  97-02  (G. Madec)  print mesh informations
-   !!                 !  99-11  (M. Imbard) NetCDF format with IO-IPSL
-   !!                 !  00-08  (D. Ludicone) Reduced section at Bab el Mandeb
-   !!                 !  01-09  (M. Levy)  eel config: grid in km, beta-plane
-   !!            8.5  !  02-08  (G. Madec)  F90: Free form and module, namelist
-   !!            9.0  !  04-01  (A.M. Treguier, J.M. Molines) Case 4 (Mercator mesh)
-   !!                           use of parameters in par_CONFIG-Rxx.h90, not in namelist
-   !!                 !  04-05  (A. Koch-Larrouy) Add Gyre configuration 
+   !! History :  OPA  ! 1988-03  (G. Madec) Original code
+   !!            7.0  ! 1996-01  (G. Madec)  terrain following coordinates
+   !!            8.0  ! 1997-02  (G. Madec)  print mesh informations
+   !!            8.1  ! 1999-11  (M. Imbard) NetCDF format with IO-IPSL
+   !!            8.2  ! 2000-08  (D. Ludicone) Reduced section at Bab el Mandeb
+   !!             -   ! 2001-09  (M. Levy)  eel config: grid in km, beta-plane
+   !!  NEMO      1.0  ! 2002-08  (G. Madec)  F90: Free form and module, namelist
+   !!             -   ! 2004-01  (A.M. Treguier, J.M. Molines) Case 4 (Mercator mesh)
+   !!                            use of parameters in par_CONFIG-Rxx.h90, not in namelist
+   !!             -   ! 2004-05  (A. Koch-Larrouy) Add Gyre configuration 
    !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
-   !!   dom_hgr        : initialize the horizontal mesh 
-   !!   hgr_read       : read "coordinate" NetCDF file 
+   !!   dom_hgr       : initialize the horizontal mesh 
+   !!   hgr_read      : read "coordinate" NetCDF file 
    !!----------------------------------------------------------------------
-   !! * Modules used
-   USE dom_oce         ! ocean space and time domain
-   USE phycst          ! physical constants
-   USE in_out_manager  ! I/O manager
-   USE lib_mpp
+   USE dom_oce        ! ocean space and time domain
+   USE phycst         ! physical constants
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! MPP library
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Module variables
-   REAL(wp) ::   glam0, gphi0           ! variables corresponding to parameters
-      !                                 ! ppglam0 ppgphi0 set in par_oce
-
-   !! * Routine accessibility
-   PUBLIC dom_hgr        ! called by domain.F90
+   REAL(wp) ::   glam0, gphi0   ! variables corresponding to parameters ppglam0 ppgphi0 set in par_oce
+
+   PUBLIC   dom_hgr   ! called by domain.F90
+
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -100,15 +94,13 @@
       !!                Madec, Imbard, 1996, Clim. Dyn.
       !!----------------------------------------------------------------------
-      INTEGER  ::   ji, jj              ! dummy loop indices
-      INTEGER  ::   ii0, ii1, ij0, ij1  ! temporary integers
-      INTEGER  ::   ijeq                ! index of equator T point (used in case 4)
-      REAL(wp) ::   &
-         zti, zui, zvi, zfi,         &  ! temporary scalars
-         ztj, zuj, zvj, zfj,         &  !
-         zphi0, zbeta, znorme,       &  !
-         zarg, zf0, zminff, zmaxff
-      REAL(wp) ::   &
-         zlam1, zcos_alpha, zim1 , zjm1 , ze1, ze1deg,   &
-         zphi1, zsin_alpha, zim05, zjm05
+      INTEGER  ::   ji, jj               ! dummy loop indices
+      INTEGER  ::   ii0, ii1, ij0, ij1   ! temporary integers
+      INTEGER  ::   ijeq                 ! index of equator T point (used in case 4)
+      REAL(wp) ::   zti, zui, zvi, zfi   ! local scalars
+      REAL(wp) ::   ztj, zuj, zvj, zfj   !   -      -
+      REAL(wp) ::   zphi0, zbeta, znorme !
+      REAL(wp) ::   zarg, zf0, zminff, zmaxff
+      REAL(wp) ::   zlam1, zcos_alpha, zim1 , zjm1 , ze1, ze1deg
+      REAL(wp) ::   zphi1, zsin_alpha, zim05, zjm05
       !!----------------------------------------------------------------------
 
@@ -138,5 +130,5 @@
          IF( cp_cfg == "orca" .AND. jp_cfg == 2 ) THEN    ! ORCA R2 configuration
             !                                             ! =====================
-            IF( n_cla == 0 ) THEN
+            IF( nn_cla == 0 ) THEN
                !
                ii0 = 139   ;   ii1 = 140        ! Gibraltar Strait (e2u = 20 km)
